Subject: Re: [PATCH 06/18] virtio_ring: avail event index interface

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 17 May 2011 09:00:52 +0300

On Mon, May 16, 2011 at 03:53:19PM +0930, Rusty Russell wrote:
> On Sun, 15 May 2011 15:47:27 +0300, "Michael S. Tsirkin" <[email-masked]> wrote:
> > On Mon, May 09, 2011 at 01:43:15PM +0930, Rusty Russell wrote:
> > > On Wed, 4 May 2011 23:51:19 +0300, "Michael S. Tsirkin" <[email-masked]> wrote:
> > > >  #define VIRTIO_RING_F_USED_EVENT_IDX	29
> > > > +/* The Host publishes the avail index for which it expects a kick
> > > > + * at the end of the used ring. Guest should ignore the used->flags field. */
> > > > +#define VIRTIO_RING_F_AVAIL_EVENT_IDX	32
> > > 
> > > Are you really sure we want to separate the two?  Seems a little simpler
> > > to have one bit to mean "we're publishing our threshold".  For someone
> > > implementing this from scratch, it's a little simpler.
> > > 
> > > Or are there cases where the old style makes more sense?
> > > 
> > > Thanks,
> > > Rusty.
> > 
> > Hmm, it makes debugging easier as each side can disable
> > publishing separately - I used it all the time when I saw
> > e.g. networking stuck to guess whether I need to investigate the
> > interrupt or the exit handling.
> > 
> > But I'm not hung up on this.
> > 
> > Let me know pls.
> 
> If we combine them into one, then these patches no longer depend on
> the feature bit expansion, which is worthwhile (though I'll take both).
> 
> Thanks,
> Rusty.

Yes, I know. But if we do expand feature bits anyway, for debugging
and profiling if nothing else it's useful to have them separate ...
If you take both why does the order matter?

-- 
MST